Runtime

## org.eclipse.gmf.runtime.emf.type.core.requests
Class DestroyRequest

    java.lang.Object
      org.eclipse.gmf.runtime.emf.type.core.requests.AbstractEditCommandRequest
          org.eclipse.gmf.runtime.emf.type.core.requests.DestroyRequest

All Implemented Interfaces:
  IEditCommandRequest

Direct Known Subclasses:
  DestroyDependentsRequest, DestroyElementRequest, DestroyReferenceRequest

    public abstract class DestroyRequest

extends AbstractEditCommandRequest

Abstract superclass for reuqests to destroy a model element.

Field Summary

Fields inherited from interface org.eclipse.gmf.runtime.emf.type.core.requests.IEditCommandRequest
`REPLACE_DEFAULT_COMMAND`

Constructor Summary
`DestroyRequest(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain, boolean confirmationRequired)` Constructs a new request to destroy a model element.

Method Summary
`abstract org.eclipse.emf.ecore.EObject` `getContainer()` Gets the container of the element to be destroyed.
`protected java.lang.String` `getDefaultLabel()` Gets the default edit command label.
`java.lang.Object` `getEditHelperContext()` Gets the edit helper context for this request.
`java.util.List` `getElementsToEdit()` Gets the elements that will be changed when the work is done for this request.
`boolean` `isConfirmationRequired()` Answers whether or not the user should be prompted to confirm the element deletion.
`void` `setConfirm(boolean confirmationRequired)` Sets the flag that indicates whether or not confirmation of the deletion is required.

Methods inherited from class org.eclipse.gmf.runtime.emf.type.core.requests.AbstractEditCommandRequest
`addParameters, getClientContext, getEditingDomain, getLabel, getParameter, getParameters, setClientContext, setEditingDomain, setLabel, setParameter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DestroyRequest

    public DestroyRequest(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain,
                          boolean confirmationRequired)

  Constructs a new request to destroy a model element.

  Parameters:
    `editingDomain` - the editing domain in which I am requesting to make model
    `confirmationRequired` - `true` if the user should be prompted to confirm the element deletion, `false` otherwise.

Method Detail

### isConfirmationRequired

    public boolean isConfirmationRequired()

  Answers whether or not the user should be prompted to confirm the element deletion.

  Returns:
    `true` if the user should be prompted to confirm the element deletion, `false` otherwise

### setConfirm

    public void setConfirm(boolean confirmationRequired)

  Sets the flag that indicates whether or not confirmation of the deletion is required.

  Parameters:
    `confirmationRequired` - `true` if the user should be prompted to confirm the element deletion, `false` otherwise

### getContainer

    public abstract org.eclipse.emf.ecore.EObject getContainer()

  Gets the container of the element to be destroyed.

  Returns:
    the container of the element to be destroyed

### getElementsToEdit

    public java.util.List getElementsToEdit()

  Description copied from interface: `IEditCommandRequest`
  Gets the elements that will be changed when the work is done for this request.

  Specified by:
    `getElementsToEdit` in interface `IEditCommandRequest`
  Overrides:
    `getElementsToEdit` in class `AbstractEditCommandRequest`
  Returns:
    the elements that will be edited

### getDefaultLabel

    protected java.lang.String getDefaultLabel()

  Description copied from class: `AbstractEditCommandRequest`
  Gets the default edit command label.

  Overrides:
    `getDefaultLabel` in class `AbstractEditCommandRequest`
  Returns:
    the default label

### getEditHelperContext

    public java.lang.Object getEditHelperContext()

  Description copied from interface: `IEditCommandRequest`
  Gets the edit helper context for this request. The context can be an `IElementType` or an `EObject`, or an `IEditHelperContext`. It determines which edit helper should be used to find a command to do the work in the request.

  Returns:
    the edit helper context for this request

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.